LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.NUMERIC_STD.ALL;
 
ENTITY full_adder4 IS
PORT(
	A, B : IN STD_LOGIC_VECTOR(3 downto 0);
	C1, C2 : IN STD_LOGIC;
	S,R : OUT STD_LOGIC
	
);
END ENTITY;

ARCHITECTURE fdd_full_adder4 OF full_adder4 IS
COMPONENT add1 is 
PORT(
    A, B, C : IN STD_LOGIC;
    S,R : OUT STD_LOGIC
);
END COMPONENT;

SIGNAL CARRIES : STD_LOGIC_VECTOR(4 downto 0);

BEGIN 

looping : FOR I IN 0 to 3 GENERATE 
fa: add1(PORT MAP : A(I), B(I), 

END ARCHITECTURE;
